/*  _dxbuffer  setzt die Gre des Import Buffers in Mbyte.
    1 Mbyte sind ca 131000 Elemente. Wenn Sie mehr Daten 
    haben, sollten Sie _dxbuffer entsprechend vergrern.
*/
_dxbuffer=2;

/* _dxtxdlim  bestimmt den ASCII Wert, welcher in Ihrere
   Importdatei als Trennzeichen verwendet werden soll.
   Folgende Zeichen sind mglich:
   Tab = 9, Komma = 44, Leerzeichen = 32 (Standardeinstellung)
*/
_dxtxdlim=9;

/* zunchst definiert man einen Pfad und eine Datei
   die importiert werden soll.
*/
path = cdir(0)$+"\\examples\\";
fname = path$+"testdata.txt";

/* Das Kommando import liesst aus der angegebenen Datei 
   die Daten in die Character-Matrix x und die Spaltenberschriften
   in den Vektor names.
   Wir empfehlen zur genauen Beschreibung des Befehls die Datei
   dataxchn.src ab Zeile 300 zu lesen.
   Wir empfeheln aber nicht, die Funktion import() zum laden von
   Exceldaten zu verwenden. Dazu sind ab GAUSS Version 5.0
   mchtigere und vor allem stabilere Funktionen implementiert
   Lesen Sie dazu die Datei xls.src ab Zeile 1....
*/
starttime=hsec; 
print "Load from TAB-delimited File...";
{x,names} = import(fname,0,0); 
endtime = hsec-starttime;
print "Loadtime:" endtime/100 "Sec.";

/* Die Character-Matrix mus noch in numerische Werte
transformiert werden
*/
x=stof(x);

/* Jetzt kann man diese Matrix direkt als GAUSS Matrix
   speichern.
*/
starttime=hsec; 
print "Save to GAUSS Matrix File ...";
save path = ^path x;
endtime = hsec-starttime;
print "Savetime:" endtime/100 "Sec.";

/* Bentigt man nun diese Daten nocheinmal, ist der Ladevorgang
   der GAUSS Matrix ca. 10x schneller und die Konvertierung
   entfllt obendrein.
*/
starttime=hsec;
print "Load from GAUSS Matrix...";
load path = ^path x;
endtime = hsec-starttime;
print "Loadtime:" endtime/100 "Sec.";

/* -> Wenn Daten mehr als einmal bentigt werden lohnt es sich
      diese im GAUSS internen Format abzulegen, besonders wenn
      viele MegaByte zu bewegen sind.
*/